
QGIS Application - Bug report #20272

Polygon intersection on same layer returning wrong result

2018-10-30 01:00 PM - Zoran Petrovic

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:3.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 28093

Description

When running the vector Intersection tool and specifying the same layer as Input and Overlay layer,

result contains an intersection and symmetrical difference.

See attached image.

History

#1 - 2018-10-30 05:12 PM - Giovanni Manghi

- Operating System deleted (Windows 10 x64)

- Priority changed from High to Normal

- Category changed from Vectors to Processing/QGIS

#2 - 2019-01-23 11:31 AM - Julien Cabieces

- Resolution set to invalid

- Status changed from Open to Closed

Looks normal to me. If you intersect a polygon with itself, it returns the same polygon.

So it's the same for the layer, if you intersect a layer with itself you obtain the same layer, plus the areas where polygons from the layer covers each other.
